export declare const httpClientHandler: {
    /**
     * @param {object} options - Options hashmap.
     * @param {string} options.url - Document URL.
     * @returns {Promise<{contextUrl: null, document, documentUrl}>} - Resolves
     *   with documentLoader document.
     */
    get(params: Record<string, string>): Promise<unknown>;
};
declare interface IDocumentLoaderResult {
    contextUrl?: string;
    documentUrl?: string;
    document: any;
}
type documentLoader = (url: string) => Promise<IDocumentLoaderResult>;
declare class IJsonLdDocumentLoader {
    addStatic: (contextUrl: string, context: any) => void;
    setDidResolver: any;
    setProtocolHandler: any;
    documentLoader: any;
    build: () => documentLoader;
}
interface SecurityLoaderParams {
    fetchRemoteContexts?: boolean;
    useOBv3BetaContext?: boolean;
}
export declare function securityLoader({ fetchRemoteContexts, useOBv3BetaContext }?: SecurityLoaderParams): IJsonLdDocumentLoader;
export {};
